/* ===============================
   RESET
=================================*/
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  font-family:'Poppins',sans-serif;
  background:#f5f7fb;
  color:#18233f;

   padding-top: 95px; /* sama dengan tinggi header kamu */
}

.container{
  width:90%;
  max-width:1280px;
  margin:auto;
}

/* ===============================
   HEADER
=================================*/


.header{
  background:#fff;
  border-bottom:1px solid #ececec;

  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;

  transition: 0.3s;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}
.nav{
  height:95px;
  display:flex;
  justify-content:space-between;
  align-items:center;
}

.logo{
  display:flex;
  align-items:center;
  gap:14px;
}

.logo img{
  width:78px;
}

.logo h3{
  font-size:34px;
  font-weight:700;
  line-height:1.1;
}

.logo span{
  font-size:18px;
  color:#666;
}

.menu{
  list-style:none;
  display:flex;
  gap:45px;
}

.menu a{
  text-decoration:none;
  color:#222;
  font-size:22px;
  font-weight:500;
}

.menu a.active{
  color:#2b6cff;
  border-bottom:3px solid #2b6cff;
  padding-bottom:5px;
}

/* ===============================
   HERO
=================================*/
.hero{
  padding:55px 0 25px;
}

.hero-wrap{
  display:flex;
  justify-content:space-between;
  align-items:center;
  gap:55px;
}

/* kiri */
.hero-left{
  width:58%;
}

.tag{
  color:#2b6cff;
  font-size:22px;
  font-weight:700;
}



/* KECILKAN UKURAN JUDUL */


.hero-left h1 span{
  color:#2b6cff;
}

@media (max-width:768px){

.hero-left h1{
  font-size:32px;
}

.hero-left p{
  font-size:16px;
}

.tag{
  font-size:16px;
}

}

/* fitur */
.features{
  display:flex;
  gap:18px;
  margin-bottom:28px;
}

.features .item{
  flex:1;
  background:#fff;
  padding:22px;
  border-radius:16px;
}

.features .item i{
  font-size:28px;
  color:#2b6cff;
  margin-bottom:12px;
}

/* icon higienis & aman */
.features .item .fa-wand-magic-sparkles{
  display:inline-block;
}

.features .item h4{
  font-size:24px;
  margin-bottom:8px;
}

.features .item small{
  font-size:18px;
  color:#666;
  line-height:1.6;
}

/* link */
.links a{
  text-decoration:none;
  color:#2b6cff;
  font-size:22px;
  font-weight:600;
  margin-right:30px;
}

/* ===============================
   VIDEO KANAN
=================================*/
.hero-right{
  width:42%;
  display:flex;
  justify-content:flex-end;
}


@media(max-width:768px){

.menu{
  flex-direction:column;
  gap:10px;
  background:#fff;
  position:absolute;
  top:95px;
  right:0;
  width:100%;
  padding:20px;
}

}

.hero-right video{
  width:100%;
  max-width:520px;
  height:610px;
  object-fit:cover;
  border-radius:24px;
}
/* ===============================
   INFO BOX BAWAH
=================================*/
.info{
  padding-bottom:40px;
}

.info-wrap{
  background:#fff;
  border-radius:18px;
  padding:28px 32px;
  display:flex;
  justify-content:space-between;
  gap:20px;
}

.box{
  flex:1;
  display:flex;
  gap:14px;
  align-items:flex-start;
}

.box i{
  color:#2b6cff;
  font-size:28px;
  margin-top:4px;
}

.box h4{
  font-size:28px;
  margin-bottom:4px;
}

.box p{
  font-size:20px;
  color:#666;
}

/* ===============================
   RESPONSIVE
=================================*/
@media(max-width:991px){

.hero-wrap{
  flex-direction:column;
}

.hero-left,
.hero-right{
  width:100%;
}

.hero-right video{
  max-width:100%;
  height:420px;
}

.features{
  flex-direction:column;
}

.info-wrap{
  flex-direction:column;
}

.hero-left h1{
  font-size:48px;
}

.logo h3{
  font-size:24px;
}

.menu{
  gap:18px;
}

.menu a{
  font-size:18px;
}

}

/* ==========================
   ABOUT IPAL SECTION
========================== */
.about-ipal{
    padding:70px 0;
}

.about-wrap{
    display:flex;
    align-items:center;
    gap:60px;
}

.about-img{
    width:42%;
}

.about-img img{
    width:100%;
    border-radius:22px;
    box-shadow:0 15px 35px rgba(0,0,0,.08);
}

.about-text{
    width:58%;
}

/* BESARKAN TULISAN SOLUSI LIMBAH MODERN */
.mini-title{
    color:#2b6cff;
    font-size:26px;     /* diperbesar */
    font-weight:700;
    letter-spacing:1px;
    display:block;
    margin-bottom:10px;
}

.about-text h2{
    font-size:42px;
    line-height:1.3;
    margin:15px 0 20px;
    color:#16213e;
}

.about-text p{
    font-size:18px;
    color:#666;
    line-height:1.8;
    margin-bottom:18px;
}

.about-list{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:14px;
    margin-top:25px;
}

.about-list div{
    background:#fff;
    padding:14px 18px;
    border-radius:12px;
    font-weight:600;
    box-shadow:0 10px 25px rgba(0,0,0,.04);
}

.about-list i{
    color:#2b6cff;
    margin-right:8px;
}

.ipal-detail{
  padding:80px 0;
  background:#f5f7fb;
}

.ipal-detail h2{
  font-size:40px;
  margin-bottom:20px;
  color:#16213e;
}

.ipal-detail h3{
  font-size:28px;
  margin-top:40px;
  margin-bottom:15px;
}

.ipal-detail p{
  font-size:18px;
  line-height:1.8;
  color:#555;
  margin-bottom:15px;
}

.ipal-detail ul{
  margin-top:10px;
  padding-left:20px;
}

.ipal-detail li{
  font-size:18px;
  margin-bottom:10px;
  line-height:1.7;
}


/* Tambahin efek seperti "SOLUSI LIMBAH MODERN" */
.produk-info h2::before {
  content: "SOLUSI LIMBAH MODERN";
  display: block;
  font-size: 14px;
  color: #3b6ef5;
  font-weight: 600;
  letter-spacing: 1px;
  margin-bottom: 10px;
}


/* CHECKLIST JADI BOX MODERN */


.checklist {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}

@media (max-width:768px){
  .checklist {
    grid-template-columns: 1fr;
  }
}

  .checklist div {
    justify-content: center;
  }

.produk-utama {
 padding: 40px 0; /* sebelumnya 60px / 70px */
  background: #f4f6fb;
}




/* ===================================
   PRODUK UTAMA JADI 3 KOLOM
   GAMBAR 2 SLOT
=================================== */

/* 3 KOLOM */
.produk-wrap{
    display:grid;
    grid-template-columns:1fr 1fr 1.2fr;
    gap:35px;
    align-items:center;
}

/* GAMBAR */
.produk-img,
.produk-img2{
    text-align:center;
}

.produk-img img,
.produk-img2 img{
    width:100%;
    max-width:320px;
    border-radius:18px;
    background:#fff;
    padding:10px;
    cursor:pointer;
    transition:0.3s;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
}

.produk-img img:hover,
.produk-img2 img:hover{
    transform:scale(1.05);
}

/* BAGIAN TEKS */
.produk-info {
  flex: 1;
  max-width: 500px;
  margin-top: 10px; /* kecilin kalau mau lebih naik lagi */
}


.produk-info h2 {
  font-size: 28px;
  margin-bottom: 10px;
}

.produk-info p {
  font-size: 14px;
  margin-bottom: 15px;
  color: #555;
}

/* CHECKLIST */
.checklist div {
  font-size: 14px;
  margin-bottom: 6px;
}

.checklist i {
  color: green;
  margin-right: 6px;
}

/* RESPONSIVE (biar mobile tetap rapi) */
@media (max-width: 768px) {
  .produk-wrap {
    flex-direction: column;
    text-align: center;
  }

  .produk-img {
    flex: unset;
  }
}

.judul-section {
  text-align: center;
  font-size: 48px;
  font-weight: 800;
  background: linear-gradient(90deg, #3b6ef5, #00b4d8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-bottom: 50px;
}

@media (max-width: 768px) {
  .judul-section {
    font-size: 32px;
  }
}

html {
  scroll-behavior: smooth;
}

#produk {
  scroll-margin-top: 100px; /* sesuaikan tinggi navbar */
}

/* =========================
   PRODUK CARD SECTION
========================= */

/* UBAH BACKGROUND AGAR SAMA SEPERTI BAGIAN ATAS */
.produk-card-section{
    background:#f5f7fb;   /* sebelumnya abu-abu #f4f4f4 */
    padding:80px 0;
}



.produk-head{
    text-align:center;
    margin-bottom:40px;
}

.produk-head h2{
    font-size:42px;
    font-weight:700;
    color:#111;
    margin-bottom:10px;
}

.produk-head p{
    color:#666;
    font-size:18px;
}

.produk-grid{
  display:grid;
  grid-template-columns:repeat(3, 1fr);
  gap:20px;
}

/* TABLET */
@media(max-width:992px){
  .produk-grid{
    grid-template-columns:repeat(3, 1fr);
  }
}

/* HP */
@media(max-width:768px){
  .produk-grid{
    grid-template-columns:repeat(3, 1fr);
    gap:12px;
  }
}

@media(max-width:768px){

.produk-card img{
  height:120px;
}

.produk-body{
  padding:10px;
}

.produk-body h3{
  font-size:14px;
}

.produk-body p{
  font-size:12px;
  min-height:auto;
}

.badge{
  font-size:10px;
  padding:4px 6px;
}

}

.produk-card{
    background:#fff;
    border-radius:18px;
    overflow:hidden;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
    transition:.3s;
    position:relative;
}

.produk-card:hover{
    transform:translateY(-8px);
}

.produk-card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.produk-body{
    padding:22px;
}

.produk-body h3{
    font-size:30px;
    line-height:1.2;
    margin-bottom:10px;
    color:#111;
}

.produk-body p{
    color:#666;
    min-height:52px;
    font-size:16px;
    margin-bottom:18px;
}

.produk-bottom{
    display:flex;
    justify-content:space-between;
    align-items:center;
    color:#1e63ff;
    font-weight:700;
    font-size:22px;
}

.produk-bottom i{
    font-size:18px;
}

.badge{
    position:absolute;
    top:15px;
    left:15px;
    color:#fff;
    font-size:13px;
    font-weight:700;
    padding:7px 12px;
    border-radius:7px;
    z-index:2;
}

.blue{background:#246bff;}
.red{background:#ff3b30;}
.orange{background:#ff7a00;}
.green{background:#16a34a;}

@media(max-width:768px){

.produk-head h2{
    font-size:32px;
}

.produk-body h3{
    font-size:24px;
}

.produk-bottom{
    font-size:18px;
}

}

/* =========================
FIX ZOOM DI TENGAH LAYAR
========================= */

.img-modal{
    display:none;   /* default disembunyikan */
    position:fixed;
    z-index:99999;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.88);

    justify-content:center;
    align-items:center;

    padding:30px;
}

/* saat belum dibuka */
.img-modal.hide{
    display:none;
}

.img-modal img{
    max-width:90%;
    max-height:90%;
    border-radius:18px;
    box-shadow:0 0 30px rgba(255,255,255,.15);
    object-fit:contain;
}

/* tombol X */
.close-btn{
    position:absolute;
    top:20px;
    right:35px;
    color:#fff;
    font-size:48px;
    cursor:pointer;
    z-index:100000;
}

.pengalaman-section {
  padding: 80px 0;
  background: #f8fafc;
}

.pengalaman-section .judul-section {
  text-align: center;
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 40px;
}

.pengalaman-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px;
}

.pengalaman-grid{
  display:grid;
  grid-template-columns:repeat(3, 1fr);
  gap:25px;
  align-items:stretch;
}

.pengalaman-card{
  background:#fff;
  border-radius:10px;
  overflow:hidden;
  box-shadow:0 5px 20px rgba(0,0,0,0.05);
  display:flex;
  flex-direction:column;
}

.pengalaman-card:hover {
  transform: translateY(-5px);
}


@media(max-width:768px){

.about-wrap{
  flex-direction:column;
}

.about-img,
.about-text{
  width:100%;
}

}

@media(max-width:768px){

.nav{
  height:70px;
}

body{
  padding-top:70px;
}

.logo img{
  width:55px;
}

.logo h3{
  font-size:18px;
}

}


img, video{
  max-width:100%;
  height:auto;
}

/* WARNA TEKS PENGALAMAN JADI BIRU LAGI */
.pengalaman-card span{
  background:#0d3b66;
  color:#fff;
  font-size:14px;
  text-align:center;
  padding:10px;
  font-weight:600;
  display:block;
}

@media (max-width: 992px) {
  .pengalaman-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 576px) {
  .pengalaman-grid {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 992px){
  .pengalaman-grid{
    grid-template-columns:repeat(2, 1fr);
  }
}

@media (max-width: 576px){
  .pengalaman-grid{
    grid-template-columns:1fr;
  }
}

.pengalaman-card{
  transition:0.3s;
}

.pengalaman-card:hover{
  transform:translateY(-5px);
}

/* MODAL BACKDROP */
.zoom-modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.85);
  justify-content: center;
  align-items: center;
}

/* GAMBAR BESAR */
.zoom-modal img {
  max-width: 90%;
  max-height: 85%;
  border-radius: 10px;
  animation: zoomIn 0.3s ease;
}

/* ANIMASI */
@keyframes zoomIn {
  from {
    transform: scale(0.8);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

/* TOMBOL CLOSE */
.zoom-close {
  position: absolute;
  top: 20px;
  right: 30px;
  color: #fff;
  font-size: 35px;
  cursor: pointer;
}

/* CURSOR POINTER */
.pengalaman-card img{
  width:100%;
  aspect-ratio: 4/3;
  object-fit:cover;
  display:block;
}

/* =========================
   FOOTER
========================= */

.footer {
  background: #ffffff;
  padding: 70px 0 40px;
}

.footer-wrap {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

/* KOLOM */
.footer-col h3 {
  font-size: 22px;
  font-weight: 700;
  margin-bottom: 20px;
}

.footer-col p {
  font-size: 16px;
  line-height: 1.7;
  color: #333;
}

/* SOCIAL */
.social {
  margin-top: 15px;
}

.social i {
  font-size: 26px;
  margin-right: 15px;
  cursor: pointer;
}

/* CENTER */
.center {
  text-align: center;
}

.admin-img {
  width: 160px;
  margin: 15px 0;
}

/* CTA */
.cta {
  display: inline-block;
  background: #22c55e;
  color: #fff;
  padding: 16px 20px;
  border-radius: 10px;
  font-weight: 600;
  text-decoration: none;
  margin-top: 10px;
  transition: 0.3s;
}

.cta:hover {
  background: #16a34a;
}

/* RECENT POST */
.recent-post {
  list-style: none;
  padding: 0;
}

.recent-post li {
  font-size: 16px;
  margin-bottom: 10px;
}

/* MAP */
.map-section {
  margin-top: 50px;
}

.map-section h3 {
  font-size: 22px;
  margin-bottom: 15px;
}

.map-section iframe {
  width: 100%;
  height: 320px;
  border-radius: 12px;
  border: none;
}

/* RESPONSIVE */
@media (max-width: 992px) {
  .footer-wrap {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .social {
    justify-content: center;
  }
}

.wa-float {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 25px;
  right: 25px;
  background-color: #25d366;
  color: #fff;
  border-radius: 50%;
  text-align: center;
  font-size: 30px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.2);
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}

.wa-float:hover {
  transform: scale(1.1);
  background-color: #1ebe5d;
}